TH1D* h = new TH1D("maxmjj", "maxmjj", 10, 0, 3000);

int max_mjj() {

    TLorentzVector p1(pxj1, pyj1, pzj1, Ej1);
    TLorentzVector p2(pxj2, pyj2, pzj2, Ej2);
    TLorentzVector p3(pxj3, pyj3, pzj3, Ej3);
    TLorentzVector p4(pxj4, pyj4, pzj4, Ej4);

    std::vector<TLorentzVector> pjs = {p1, p2, p3, p4};

    std::pair<int, int> max_mjj{0,1};
    double max = 0;

    for (int j=1; j < 3; ++j){
        for (int i=0; i < j; ++i){
            double tmp_max = (pjs[j] + pjs[i]).M();
            if (tmp_max  > max){
                max = tmp_max;
                max_mjj.first = j;
                max_mjj.second = i;

            }      
        }
    }

    h->Fill(max, w);
    return 1;
}
